summaryrefslogtreecommitdiff
path: root/INSTALL.md
diff options
context:
space:
mode:
authorgaryb <>2018-05-21 23:08:00 (GMT)
committerhdiff <hdiff@hdiff.luite.com>2018-05-21 23:08:00 (GMT)
commit25a279f1e1a547125036fd4b81f0549bf37f5339 (patch)
tree275459e96260851ddd35286594daebedf769bfb1 /INSTALL.md
parentb725646839c21c8b8d698c862b6f3b7e88acaa8e (diff)
version 0.12.00.12.0
Diffstat (limited to 'INSTALL.md')
-rw-r--r--INSTALL.md23
1 files changed, 16 insertions, 7 deletions
diff --git a/INSTALL.md b/INSTALL.md
index 27f170a..9d729f9 100644
--- a/INSTALL.md
+++ b/INSTALL.md
@@ -1,25 +1,34 @@
# Installation information
If you are having difficulty installing the PureScript compiler, feel free to
-ask for help! A good place is the #purescript IRC channel on Freenode, or
+ask for help! A good place is the #purescript IRC channel on Freenode, the #purescript channel on [FPChat Slack](https://fpchat-invite.herokuapp.com/), or
alternatively Stack Overflow.
## Using prebuilt binaries
-The prebuilt binaries are compiled with GHC 8.0.2 and therefore they should
-run on any operating system supported by GHC 8.0.2, such as:
+The prebuilt binaries are compiled with GHC 8.2.2 and therefore they should
+run on any operating system supported by GHC 8.2.2, such as:
* Windows Vista or later,
* OS X 10.7 or later,
-* Linux ??? (we're not sure what the minimum version is).
+* Linux ??? (we're not sure what the minimum version is)
-This list is not exhaustive. If your OS is too old or not listed, or if the
-binaries fail to run, you may be able to install the compiler by building it
-from source; see below.
+This list is not exhaustive. If your OS is too old or not listed, or if the binaries fail to run, you may be able to install the compiler by building it from source; see below. See also <https://www.haskell.org/ghc/download_ghc_8_2_2.html> for more details about the operating systems which GHC 8.2.2 supports.
Other prebuilt distributions (eg, Homebrew, AUR, npm) will probably have the
same requirements.
+## Installing a pre-built distribution
+
+There are several options available for aquiring a pre-built binary of the PureScript compiler. This is by no means an exhaustive list, and is presented in no particular order. Each example is expected to install the latest available compiler version at the time of running the command. Many of these are provided and maintained by the community, and may not be immediately up to date.
+
+* NPM: `npm install -g purescript`
+* Homebrew (for OS X): `brew install purescript`
+* [PSVM](https://github.com/ThomasCrevoisier/psvm-js) (PS Version Manager):
+ 1) `psvm install-latest` will install the latest version available
+ 2) `psvm latest` will print the latest version number available
+ 3) `psvm use <latest version number>` will enable the version we just installed. For example, if the version is `v0.11.7`, you'd run `psvm use v0.11.7`
+
## Compiling from source
The easiest way is to use stack: